Description

| have some ideas we have using in Trac and our billing system: * Create reports based per client (project) or per user.

o User reports was used for paying monthly fee to our developers working on per hour basis - we created report for

each user and month so we seend spent time of one user in one exact month

o Client (project) reports was created for client, where was all spent time for one cliet (one or more projects). * There was also field
called rate - we were using simple one filed, which was multipled by time, so we seen exact

amount of money. | think there hsoud be interesting to have ability to enter different rates for different Activities

in RM (client often pay different price for design, programming, project managing etc.).

If someone is interested | can prepare more detailed and complex analysis ;)

History

#1 - 2007-12-19 13:37 - Rocco Stanzione

+1. I'm using redmine for some consulting work, and it would
be handy to have the billing/invoicing functionality. | think
it would be a good fit.

#2 - 2008-01-03 16:31 - Eric Davis

| have written a plugin that will run a "report" on

the timelogs for all projects. I've been using it for the past
few months to find out how many hours to bill for. It can filter
based on:

From date
To date
Project
Activity(ies)

Example:

"How many hours did | work in December on Project X for
my billable activity A and B"

#3 - 2008-01-10 00:31 - Eric Davis

My timesheet plugin is now released:

http://theadmin.org/articles/2008/1/10/redmine-timesheet-plugin

#4 - 2008-01-21 04:50 - Maxim Krusina

Eric Davis> thanx for pluggin! I'm just wondering if plugin
is the right way of development. Let me explain my idea:

Each project has already "Spent time Report" ability,

which

is almost the same as your plugin. It should be good idea to
develop plugin only or bulid-in support only, but now we
have time reports or two different places, which leads to
confusion of users. | think it would be better to work in

inner implementation if Spent time than to develop separate
module, because there is already lot of work done.

Let me write some important notes to both sollutions:
http://theadmin.org/articles/2008/1/10/redmine-timesheet-plugin

Spent time report (build in) - what is missing:

® Support for billing report across all projects. | hope
this is not so much complicated to develop (plugin already
has this).
¢ Add "Days" to detail: we would like to see one sheet
per
week divided by days. In this view | can see how much work
is done by each user - this is very importatnt to us,
because we need to check every eveng if our emplyees filled
corresponding hours (8 hours per day).
¢ Add total SUM of hours and possibly subtotals
Add more filtering: All projects/one or more selected
projects, All users/one or more selected users
Add ability to Add Tickets and/or Spent time records to
list (clickable). By this we can check WHAT every user did
every day - very handy!
Add ability to save reports in really same way as in
Issues list - it's excellent (Name, public, etc...)

#5 - 2008-01-21 04:54 - Maxim Krusina

This part is absolutely crucial to us. JPLang: please, can
you decide the best way for development, ie build-in support
or plugin?

We can donnate some money for this part!
And of course, here is link to Billing plugin (thanks Eric!):

https://projects.littlestreamsoftware.com/projects/show/redmine-t
imesheet

#6 - 2008-01-21 05:28 - Maxim Krusina

| just started to write down some ideas here:
https://projects.littlestreamsoftware.com/projects/redmine-timesh
eet/issues

(please, see corresponding tickets)

#7 - 2010-08-21 21:07 - Jean-Baptiste Barth
- Status changed from New to Closed

- Resolution set to Wont fix

As said before, Eric's timesheet plugin exists for that. | don't think we'll include billing functionalities in the core.
